#
# spec file for package python-promise
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-promise
Version:        2.3.0
Release:        5.3
Summary:        Promises/A+ implementation for Python
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/syrusakbary/promise
Source:         https://github.com/syrusakbary/promise/archive/v%{version}.tar.gz#/promise-%{version}.tar.gz
# PATCH-FIX-UPSTREAM gh#syrusakbary/promise#96
Patch0:         pytest-7-support.patch
# PATCH-FIX-UPSTREAM python-311.patch gh#syrusakbary/promise#99
Patch1:         python-311.patch
# https://github.com/syrusakbary/promise/issues/101
Patch2:         python-promise-no-six.patch
BuildRequires:  %{python_module pytest-asyncio}
BuildRequires:  %{python_module pytest-benchmark}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
This is an implementation of Promises in Python

%prep
%autosetup -p1 -n promise-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/promise*

%changelog
* Thu Jul  6 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Wed Jun  7 2023 pgajdos@suse.com
- do not require six
- added patches
  fix https://github.com/syrusakbary/promise/issues/101
  + python-promise-no-six.patch
* Fri Feb 24 2023 Daniel Garcia <daniel.garcia@suse.com>
- Add python-311.patch to support python 3.11
  gh#syrusakbary/promise#99
* Mon Jun 20 2022 Steve Kowalik <steven.kowalik@suse.com>
- Remove now broken bconds for python2/python3.
- Add patch pytest-7-support.patch:
  * Support pytest 7.0+ changes.
* Wed Mar 18 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to version 2.3.0
  * Distribute type module maker for mypy
  * Fix memory leak on dynamically created types
  * Make Dataloader keep cache object
  * Fix Python 3.7 deprecation warnings
  * Make Promise and Dataloader thread-safe
* Mon Feb 11 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to version 2.2.1:
  * support python3
  * have license in tarball
* Wed May  9 2018 toddrme2178@gmail.com
- Add license file
- Use license tag
* Tue Feb 13 2018 gsmith@suse.com
- Initial packaging (version 2.1)
